﻿using Kendo.Mvc.UI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TelerikMvcAppTreeView.Models;

namespace TelerikMvcAppTreeView.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";
            ViewBag.inlineDefault = GetDefaultInlineData();

            return View();
        }     

        private IEnumerable<TreeViewItemModel> GetDefaultInlineData()
        {
            List<TreeViewItemModel> inlineDefault = new List<TreeViewItemModel>
                {
                    new TreeViewItemModel
                    {
                        Text = "Furniture",
                        Items = new List<TreeViewItemModel>
                        {
                            new TreeViewItemModel()
                            {
                                Text = "Tables & Chairs"
                            },
                            new TreeViewItemModel
                            {
                                 Text = "Sofas"
                            },
                            new TreeViewItemModel
                            {
                                 Text = "Occasional Furniture"
                            }
                        }
                    },
                    new TreeViewItemModel
                    {
                        Text = "Decor",
                        Items = new List<TreeViewItemModel>
                        {
                            new TreeViewItemModel()
                            {
                                Text = "Bed Linen"
                            },
                            new TreeViewItemModel
                            {
                                 Text = "Curtains & Blinds"
                            },
                            new TreeViewItemModel
                            {
                                 Text = "Carpets"
                            }
                        }
                    }
                };

            return inlineDefault;
        }
    }
}
